Package org.apache.batchee.servlet

## Class SimpleRestController

- java.lang.Object
- - org.apache.batchee.servlet.SimpleRestController

-     public class SimpleRestController
      extends Object

  Simple REST api for JBatch

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static char` | `CSV_DELIMITER` |
    `static long` | `NO_JOB_ID` |
    `static String` | `NOT_FOUND_STRING` |
    `static String` | `OP_METRICS` |
    `static String` | `OP_RESTART` |
    `static String` | `OP_START` |
    `static String` | `OP_STATUS` |
    `static String` | `OP_STOP` |
    `static String` | `REST_CONTENT_TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleRestController​(javax.batch.operations.JobOperator jobOperator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispatch​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, String path)` | The main entry for the simple REST handling

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REST_CONTENT_TYPE

          public static final String REST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### NOT_FOUND_STRING

          public static final String NOT_FOUND_STRING

      See Also:
        Constant Field Values

    - #### CSV_DELIMITER

          public static final char CSV_DELIMITER

      See Also:
        Constant Field Values

    - #### OP_START

          public static final String OP_START

      See Also:
        Constant Field Values

    - #### OP_STATUS

          public static final String OP_STATUS

      See Also:
        Constant Field Values

    - #### OP_METRICS

          public static final String OP_METRICS

      See Also:
        Constant Field Values

    - #### OP_STOP

          public static final String OP_STOP

      See Also:
        Constant Field Values

    - #### OP_RESTART

          public static final String OP_RESTART

      See Also:
        Constant Field Values

    - #### NO_JOB_ID

          public static final long NO_JOB_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleRestController

          public SimpleRestController​(javax.batch.operations.JobOperator jobOperator)

  - ### Method Detail

    - #### dispatch

          public void dispatch​(javax.servlet.http.HttpServletRequest req,
                               javax.servlet.http.HttpServletResponse resp,
                               String path)

      The main entry for the simple REST handling